/*
 * $Id: pom.h,v 1.1 1991/08/30 10:17:49 ceder Exp $
 *
 *  pom.h
 *	Calculate the phase of the moon at any given time.
 *
 *
 *  This file is in the public domain.  No rights reserved.
 */


#ifndef POM_H_INCLUDED__
#define POM_H_INCLUDED__


struct	pom {
	enum { pom_NM, pom_FQ, pom_FM, pom_LQ }
			  quarter;	/* Nearest quarter */
	/* Time since nearest quarter.  All fields are negative if
	 * nearest quarter is in the future.			*/
	int		  days;
	int		  hours;
	int		  minutes;
	int		  seconds;
};


/*
 *  Calculate the phase of the moon at the time WHEN, which should be
 *  the GMT time.
 */
extern  struct pom
phase_of_the_moon (struct tm	* when);
    

#endif  /* POM_H_INCLUDED__ */
